osl::checkmate::DisproofPieces Struct Reference

`#include <disproofPieces.h>`

## Static Public Member Functions

static const PieceStand | leaf (const SimpleState &state, Player defender, const PieceStand max)
static const PieceStand | defense (const PieceStand prev, Move move, const PieceStand max)
static const PieceStand | attack (const CheckMoveList &moves, const SimpleState &state, PieceStand max)

## Detailed Description

Definition at line 12 of file disproofPieces.h.

## Member Function Documentation

## attack()

const PieceStand osl::checkmate::DisproofPieces::attack | ( | const CheckMoveList & | moves,
|  | const SimpleState & | state,
|  | PieceStand | max )

static

## defense()

const PieceStand osl::checkmate::DisproofPieces::defense | ( | const PieceStand | prev,
|  | Move | move,
|  | const PieceStand | max )

inline static

Definition at line 23 of file disproofPieces.h.

References osl::PieceStand::add(), osl::captured(), osl::Move::capturePtype(), osl::PieceStand::get(), osl::Move::isDrop(), osl::isPiece(), osl::Move::isValid(), osl::Move::ptype(), osl::PieceStand::trySub(), and osl::unpromote().

Referenced by osl::checkmate::Dfpn::Node::setNoCheckmateDefense().

## leaf()

const PieceStand osl::checkmate::DisproofPieces::leaf | ( | const SimpleState & | state,
|  | Player | defender,
|  | const PieceStand | max )

inline static

Definition at line 14 of file disproofPieces.h.

References osl::checkmate::ProofPiecesUtil::addMonopolizedPieces(), and osl::SimpleState::turn().

Referenced by osl::checkmate::Dfpn::attack().

The documentation for this struct was generated from the following file:

- disproofPieces.h